PHP Manual
Prev |  | Next

# XMLReader::setParserProperty

(no version information, might be only in CVS)

XMLReader::setParserProperty -- Set or Unset parser options

## Description

class XMLReader {
bool setParserProperty ( int property, bool value )
}

Set or Unset parser option for the parser. The options must be set after xmlreader-open() or xmlreader-xml() are called and before the first xmlreader-read() call.

## Parameters

`property`

  One of the parser option constants.

`value`

  If set to `TRUE` the option will be enabled otherwise will be disabled.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
XMLReader::read | Up | XMLReader::setRelaxNGSchema